Subject: [mobile-ip] MH Checksum calculation

From: Brian Haley <[email-masked]>
Date: Fri, 26 Jul 2002 10:35:52 -0400

Seems like Jari must be back from vacation with all the recent emails :)

Anyways, I think the Checksum calculation paragraph in Section 6.1.1
needs some clarification.  The pseudo IPv6 header used does not specify
which source address is used if there is a Home Address Option in the
packet.  Some MH types do not require HAO (HoTI,CoTI, etc.), one
might have one (BRR, if MN->MN), and others must have one (BU).
I'm assuming that if there's a HAO, that it must be used as the IPv6
source address for the checksum calculation?  If so, in addition to 6.1.1
changes, it might be good to add some text (in 11.2.1?) that says what
a MN should do if sending a MH message with a HAO.

Section 11.2.1 does do a good job of saying how a MN should send
a "direct delivery" packet, swapping addresses and such, but doesn't
mention checksum.

-Brian